package domain

import (
	"topsdk/util"
)

type TmallExchangeConfirmConsignExchange struct {
	/*
	   modified     */
	Modified *util.LocalTime `json:"modified,omitempty" `

	/*
	   status     */
	Status *string `json:"status,omitempty" `

	/*
	   bizOrderId     */
	BizOrderId *string `json:"biz_order_id,omitempty" `

	/*
	   disputeId     */
	DisputeId *string `json:"dispute_id,omitempty" `
}

func (s *TmallExchangeConfirmConsignExchange) SetModified(v util.LocalTime) *TmallExchangeConfirmConsignExchange {
	s.Modified = &v
	return s
}
func (s *TmallExchangeConfirmConsignExchange) SetStatus(v string) *TmallExchangeConfirmConsignExchange {
	s.Status = &v
	return s
}
func (s *TmallExchangeConfirmConsignExchange) SetBizOrderId(v string) *TmallExchangeConfirmConsignExchange {
	s.BizOrderId = &v
	return s
}
func (s *TmallExchangeConfirmConsignExchange) SetDisputeId(v string) *TmallExchangeConfirmConsignExchange {
	s.DisputeId = &v
	return s
}
